All Classes Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
pwmssUdt Struct Reference

Wrapper structure for PwmssUdt. More...

`#include <src/c_wrapper/pruio.h>`

Collaboration diagram for pwmssUdt:
[legend]

## Public Attributes

pruIo * | Top
| pointer to the calling PruIo instance
pwmssSet * | Init [PRUIO_AZ_PWMSS+1]
| initial device configuration, used in the destructor PruIo:~PruIo()
pwmssSet * | Conf [PRUIO_AZ_PWMSS+1]
| current device configuration, used in PruIo::config()
pwmssArr * | Raw [PRUIO_AZ_PWMSS+1]
| pointer to current raw subsystem data (IO)
uint32 | InitParA
| offset to read data block offset
const uint16 | CapMod
| value for ECCTL2 in CAP mode (&b11010110)

## Detailed Description

Wrapper structure for PwmssUdt.

Since
  0.2

Definition at line 334 of file pruio.h.

The documentation for this struct was generated from the following file:

- src/c_wrapper/pruio.h